Subject: bug#69822: [PATCH] format-spec pads when it should only truncate

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Mar 2024 08:23:26 +0200

> Date: Sat, 16 Mar 2024 23:12:16 -0500
> Cc: [email-masked], "Basil L. Contovounesios" <[email-masked]>
> From: Adam Porter <[email-masked]>
> 
> Hi Eli, Basil,
> 
> On 3/16/24 05:22, Eli Zaretskii wrote:
> 
> > I don't understand why you consider it a bug.  According to the doc 
> > string (see below)...
> > 
> > So I don't think I agree that there's a bug here to begin with.  The 
> > doc string of format-spec says:
> > 
> > The width and truncation modifiers behave like the corresponding ones
> > in ‘format’ when applied to %s.
> 
> Thanks, now I understand.
> 
> Should I close the bug, or do you think the docstring should be changed 
> to help clarify this?

If there's something in the doc string that is unclear, please tell
what that is, and let's by all means try to find ways to clarify that.